# -------------------------------------------------------------------------------------
#
# Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
#
# This software is the property of WSO2 Inc. and its suppliers, if any.
# Dissemination of any information or reproduction of any material contained
# herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
# You may not alter or remove any copyright or other notice from copies of this content.
#
# --------------------------------------------------------------------------------------

trigger:
  - none

pr:
  branches:
    include:
    - master

pool:
  vmImage: 'ubuntu-latest'

resources:
  repositories:
    - repository: templates
      type: github
      name: wso2-enterprise/azure-pipeline-templates
      ref: refs/heads/dev
      endpoint: asgardeo-github-static-scan

jobs:
  - job: static_scan
    displayName: Static scan
    steps:
      - template: cd-pipelines/templates/static-scan-java.yaml@templates
        parameters:
          PATH_TO_POM: ''
          JAVA_VERSION: '11'
          MAVEN_VERSION: '3.2.5'
